=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-08-05 07:19:17 +0000
+++ drizzled/handler.h	2009-08-10 23:36:55 +0000
@@ -966,27 +966,16 @@
 TableShare *get_table_share(Session *session, TableList *table_list, char *key,
                              uint32_t key_length, uint32_t db_flags, int *error);
 TableShare *get_cached_table_share(const char *db, const char *table_name);
-Table *open_ltable(Session *session, TableList *table_list, thr_lock_type update);
-Table *open_table(Session *session, TableList *table_list, bool *refresh, uint32_t flags);
-bool name_lock_locked_table(Session *session, TableList *tables);
 bool reopen_name_locked_table(Session* session, TableList* table_list, bool link_in);
 Table *table_cache_insert_placeholder(Session *session, const char *key,
                                       uint32_t key_length);
 bool lock_table_name_if_not_cached(Session *session, const char *db,
                                    const char *table_name, Table **table);
-Table *find_locked_table(Session *session, const char *db,const char *table_name);
-void detach_merge_children(Table *table, bool clear_refs);
-bool fix_merge_after_open(TableList *old_child_list, TableList **old_last,
-                          TableList *new_child_list, TableList **new_last);
 bool reopen_table(Table *table);
 bool reopen_tables(Session *session,bool get_locks,bool in_refresh);
 void close_data_files_and_morph_locks(Session *session, const char *db,
                                       const char *table_name);
 void close_handle_and_leave_table_as_lock(Table *table);
-bool open_new_frm(Session *session, TableShare *share, const char *alias,
-                  uint32_t db_stat, uint32_t prgflag,
-                  uint32_t ha_open_flags, Table *outparam,
-                  TableList *table_desc, MEM_ROOT *mem_root);
 bool wait_for_tables(Session *session);
 bool table_is_used(Table *table, bool wait_for_name_lock);
 Table *drop_locked_tables(Session *session,const char *db, const char *table_name);
@@ -998,13 +987,13 @@
 find_field_in_tables(Session *session, Item_ident *item,
                      TableList *first_table, TableList *last_table,
                      Item **ref, find_item_error_report_type report_error,
-                     bool check_privileges, bool register_tree_change);
+                     bool register_tree_change);
 Field *
 find_field_in_table_ref(Session *session, TableList *table_list,
                         const char *name, uint32_t length,
                         const char *item_name, const char *db_name,
                         const char *table_name, Item **ref,
-                        bool check_privileges, bool allow_rowid,
+                        bool allow_rowid,
                         uint32_t *cached_field_index_ptr,
                         bool register_tree_change, TableList **actual_table);
 Field *
@@ -1012,8 +1001,6 @@
                     bool allow_rowid, uint32_t *cached_field_index_ptr);
 Field *
 find_field_in_table_sef(Table *table, const char *name);
-int update_virtual_fields_marked_for_write(Table *table,
-                                           bool ignore_stored=true);
 
 
 #endif /* DRIZZLED_HANDLER_H */

=== modified file 'drizzled/item/field.cc'
--- drizzled/item/field.cc	2009-06-05 23:18:55 +0000
+++ drizzled/item/field.cc	2009-08-10 23:36:55 +0000
@@ -515,7 +515,7 @@
                                             last_name_resolution_table,
                                           reference,
                                           IGNORE_EXCEPT_NON_UNIQUE,
-                                          true, true)) !=
+                                          true)) !=
         not_found_field)
     {
       if (*from_field)
@@ -630,9 +630,7 @@
       find_field_in_tables(session, this,
                            context->first_name_resolution_table,
                            context->last_name_resolution_table,
-                           reference, REPORT_ALL_ERRORS,
-                           !any_privileges &&
-                           true, true);
+                           reference, REPORT_ALL_ERRORS, true);
     }
     return -1;
   }
@@ -774,10 +772,8 @@
                                           reference,
                                           session->lex->use_only_table_context ?
                                             REPORT_ALL_ERRORS :
-                                            IGNORE_EXCEPT_NON_UNIQUE,
-                                          !any_privileges,
-                                          true)) ==
-	not_found_field)
+                                            IGNORE_EXCEPT_NON_UNIQUE, true)) ==
+        not_found_field)
     {
       int ret;
       /* Look up in current select's item_list to find aliased fields */

=== modified file 'drizzled/item/ref.cc'
--- drizzled/item/ref.cc	2009-06-05 23:18:55 +0000
+++ drizzled/item/ref.cc	2009-08-10 23:36:55 +0000
@@ -195,8 +195,7 @@
                                            outer_context->
                                              last_name_resolution_table,
                                            reference,
-                                           IGNORE_EXCEPT_NON_UNIQUE,
-                                           true, true);
+                                           IGNORE_EXCEPT_NON_UNIQUE, true);
           if (! from_field)
             goto error;
           if (from_field == view_ref_found)

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2009-06-09 01:58:43 +0000
+++ drizzled/lock.cc	2009-08-10 23:36:55 +0000
@@ -162,7 +162,7 @@
 
 
 DRIZZLE_LOCK *mysql_lock_tables(Session *session, Table **tables, uint32_t count,
-                              uint32_t flags, bool *need_reopen)
+                                uint32_t flags, bool *need_reopen)
 {
   DRIZZLE_LOCK *sql_lock;
   Table *write_lock_used;
@@ -332,7 +332,7 @@
   This will work even if get_lock_data fails (next unlock will free all)
 */
 
-void mysql_unlock_some_tables(Session *session, Table **table,uint32_t count)
+void mysql_unlock_some_tables(Session *session, Table **table, uint32_t count)
 {
   DRIZZLE_LOCK *sql_lock;
   Table *write_lock_used;
@@ -422,67 +422,9 @@
                           effect is desired.
 */
 
-void mysql_lock_remove(Session *session, DRIZZLE_LOCK *locked,Table *table,
-                       bool always_unlock)
+void mysql_lock_remove(Session *session, Table *table)
 {
-  if (always_unlock == true)
-    mysql_unlock_some_tables(session, &table, /* table count */ 1);
-  if (locked)
-  {
-    register uint32_t i;
-    for (i=0; i < locked->table_count; i++)
-    {
-      if (locked->table[i] == table)
-      {
-        uint32_t  j, removed_locks, old_tables;
-        Table *tbl;
-        uint32_t lock_data_end;
-
-        assert(table->lock_position == i);
-
-        /* Unlock if not yet unlocked */
-        if (always_unlock == false)
-          mysql_unlock_some_tables(session, &table, /* table count */ 1);
-
-        /* Decrement table_count in advance, making below expressions easier */
-        old_tables= --locked->table_count;
-
-        /* The table has 'removed_locks' lock data elements in locked->locks */
-        removed_locks= table->lock_count;
-
-        /* Move down all table pointers above 'i'. */
-        memmove((locked->table+i), (locked->table+i+1),
-                (old_tables - i) * sizeof(Table*));
-
-        lock_data_end= table->lock_data_start + table->lock_count;
-        /* Move down all lock data pointers above 'table->lock_data_end-1' */
-        memmove((locked->locks + table->lock_data_start),
-                (locked->locks + lock_data_end),
-                (locked->lock_count - lock_data_end) *
-                sizeof(THR_LOCK_DATA*));
-
-        /*
-          Fix moved table elements.
-          lock_position is the index in the 'locked->table' array,
-          it must be fixed by one.
-          table->lock_data_start is pointer to the lock data for this table
-          in the 'locked->locks' array, they must be fixed by 'removed_locks',
-          the lock data count of the removed table.
-        */
-        for (j= i ; j < old_tables; j++)
-        {
-          tbl= locked->table[j];
-          tbl->lock_position--;
-          assert(tbl->lock_position == j);
-          tbl->lock_data_start-= removed_locks;
-        }
-
-        /* Finally adjust lock_count. */
-        locked->lock_count-= removed_locks;
-	break;
-      }
-    }
-  }
+  mysql_unlock_some_tables(session, &table, /* table count */ 1);
 }
 
 

=== modified file 'drizzled/lock.h'
--- drizzled/lock.h	2009-06-09 01:58:43 +0000
+++ drizzled/lock.h	2009-08-10 23:36:55 +0000
@@ -37,10 +37,9 @@
 
 void mysql_unlock_tables(Session *session, DRIZZLE_LOCK *sql_lock);
 void mysql_unlock_read_tables(Session *session, DRIZZLE_LOCK *sql_lock);
-void mysql_unlock_some_tables(Session *session, Table **table,uint32_t count);
-void mysql_lock_remove(Session *session, DRIZZLE_LOCK *locked,Table *table,
-                       bool always_unlock);
-void mysql_lock_abort(Session *session, Table *table, bool upgrade_lock);
+void mysql_unlock_some_tables(Session *session, Table **table, uint32_t count);
+void mysql_lock_remove(Session *session, Table *table);
+void mysql_lock_abort(Session *session, Table *table, bool upgrade_lock= true);
 bool mysql_lock_abort_for_thread(Session *session, Table *table);
 DRIZZLE_LOCK *mysql_lock_merge(DRIZZLE_LOCK *a,DRIZZLE_LOCK *b);
 TableList *mysql_lock_have_duplicate(Session *session, TableList *needle,

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-08-05 08:02:52 +0000
+++ drizzled/sql_base.cc	2009-08-10 23:36:55 +0000
@@ -868,39 +868,6 @@
 }
 
 
-/**
-  Exclusively name-lock a table that is already write-locked by the
-  current thread.
-
-  @param session current thread context
-  @param tables table list containing one table to open.
-
-  @return false on success, true otherwise.
-*/
-
-bool name_lock_locked_table(Session *session, TableList *tables)
-{
-  /* Under LOCK TABLES we must only accept write locked tables. */
-  tables->table= find_locked_table(session, tables->db, tables->table_name);
-
-  if (!tables->table)
-    my_error(ER_TABLE_NOT_LOCKED, MYF(0), tables->alias);
-  else if (tables->table->reginfo.lock_type <= TL_WRITE_DEFAULT)
-    my_error(ER_TABLE_NOT_LOCKED_FOR_WRITE, MYF(0), tables->alias);
-  else
-  {
-    /*
-      Ensures that table is opened only by this thread and that no
-      other statement will open this table.
-    */
-    wait_while_table_is_used(session, tables->table, HA_EXTRA_FORCE_REOPEN);
-    return false;
-  }
-
-  return true;
-}
-
-
 /*
   Open table which is already name-locked by this thread.
 
@@ -1442,26 +1409,6 @@
 }
 
 
-Table *find_locked_table(Session *session, const char *db,const char *table_name)
-{
-  char key[MAX_DBKEY_LENGTH];
-  char *key_pos= key;
-  uint32_t key_length;
-
-  key_pos= strcpy(key_pos, db) + strlen(db);
-  key_pos= strcpy(key_pos+1, table_name) + strlen(table_name);
-  key_length= (uint32_t)(key_pos-key)+1;
-
-  for (Table *table=session->open_tables; table ; table=table->next)
-  {
-    if (table->s->table_cache_key.length == key_length &&
-        !memcmp(table->s->table_cache_key.str, key, key_length))
-      return table;
-  }
-  return 0;
-}
-
-
 /*
   Reopen an table because the definition has changed.
 
@@ -1753,8 +1700,8 @@
               lock on it. This will also give them a chance to close their
               instances of this table.
             */
-            mysql_lock_abort(this, ulcktbl, true);
-            mysql_lock_remove(this, NULL, ulcktbl, true);
+            mysql_lock_abort(this, ulcktbl);
+            mysql_lock_remove(this, ulcktbl);
             ulcktbl->lock_count= 0;
           }
           if ((ulcktbl != table) && ulcktbl->db_stat)
@@ -1910,7 +1857,7 @@
     if (!strcmp(table->s->table_name.str, table_name) &&
         !strcmp(table->s->db.str, db))
     {
-      mysql_lock_remove(session, NULL, table, true);
+      mysql_lock_remove(session, table);
 
       if (!found)
       {
@@ -1957,7 +1904,7 @@
         !strcmp(table->s->db.str, db))
     {
       /* If MERGE child, forward lock handling to parent. */
-      mysql_lock_abort(session, table, true);
+      mysql_lock_abort(session, table);
       break;
     }
   }
@@ -2269,7 +2216,7 @@
   Open and lock one table
 
   SYNOPSIS
-  open_ltable()
+  openTableLock()
   session			Thread handler
   table_list		Table to open is first table in this list
   lock_type		Lock to use for open
@@ -2488,8 +2435,6 @@
 Field *not_found_field= (Field*) 0x1;
 Field *view_ref_found= (Field*) 0x2;
 
-#define WRONG_GRANT (Field*) -1
-
 static void update_field_dependencies(Session *session, Field *field, Table *table)
 {
   if (session->mark_used_columns != MARK_COLUMNS_NONE)
@@ -2551,8 +2496,7 @@
 
   RETURN
   NULL        if the field was not found
-  WRONG_GRANT if no access rights to the found field
-#           Pointer to the found Field
+  PTR         Pointer to the found Field
 */
 
 static Field *
@@ -2664,7 +2608,7 @@
 
   update_field_dependencies(session, field, table);
 
-  return(field);
+  return field;
 }
 
 
@@ -2682,7 +2626,6 @@
   table_name             [in]  optional table name that qualifies the field
   ref		       [in/out] if 'name' is resolved to a view field, ref
   is set to point to the found view field
-  check_privileges       [in]  check privileges
   allow_rowid		   [in]  do allow finding of "_rowid" field?
   cached_field_index_ptr [in]  cached position in field list (used to
   speedup lookup for fields in prepared tables)
@@ -2715,7 +2658,7 @@
                         const char *name, uint32_t length,
                         const char *item_name, const char *db_name,
                         const char *table_name, Item **ref,
-                        bool check_privileges, bool allow_rowid,
+                        bool allow_rowid,
                         uint32_t *cached_field_index_ptr,
                         bool register_tree_change, TableList **actual_table)
 {
@@ -2783,12 +2726,12 @@
       {
         if ((fld= find_field_in_table_ref(session, table, name, length, item_name,
                                           db_name, table_name, ref,
-                                          check_privileges, allow_rowid,
+                                          allow_rowid,
                                           cached_field_index_ptr,
                                           register_tree_change, actual_table)))
-          return(fld);
+          return fld;
       }
-      return 0;
+      return NULL;
     }
     /*
       Non-qualified field, search directly in the result columns of the
@@ -2856,7 +2799,6 @@
   - REPORT_EXCEPT_NON_UNIQUE report all other errors
   except when non-unique fields were found
   - REPORT_ALL_ERRORS
-  check_privileges      need to check privileges
   register_tree_change  true if ref is not a stack variable and we
   to need register changes in item tree
 
@@ -2875,7 +2817,7 @@
 find_field_in_tables(Session *session, Item_ident *item,
                      TableList *first_table, TableList *last_table,
                      Item **ref, find_item_error_report_type report_error,
-                     bool check_privileges, bool register_tree_change)
+                     bool register_tree_change)
 {
   Field *found=0;
   const char *db= item->db_name;
@@ -2917,15 +2859,12 @@
                                  true, &(item->cached_field_index));
     else
       found= find_field_in_table_ref(session, table_ref, name, length, item->name,
-                                     NULL, NULL, ref, check_privileges,
+                                     NULL, NULL, ref,
                                      true, &(item->cached_field_index),
                                      register_tree_change,
                                      &actual_table);
     if (found)
     {
-      if (found == WRONG_GRANT)
-        return (Field*) 0;
-
       /*
         Only views fields should be marked as dependent, not an underlying
         fields.
@@ -2965,38 +2904,12 @@
   {
     Field *cur_field= find_field_in_table_ref(session, cur_table, name, length,
                                               item->name, db, table_name, ref,
-                                              (session->lex->sql_command ==
-                                               SQLCOM_SHOW_FIELDS)
-                                              ? false : check_privileges,
                                               allow_rowid,
                                               &(item->cached_field_index),
                                               register_tree_change,
                                               &actual_table);
     if (cur_field)
     {
-      if (cur_field == WRONG_GRANT)
-      {
-        if (session->lex->sql_command != SQLCOM_SHOW_FIELDS)
-          return (Field*) 0;
-
-        session->clear_error();
-        cur_field= find_field_in_table_ref(session, cur_table, name, length,
-                                           item->name, db, table_name, ref,
-                                           false,
-                                           allow_rowid,
-                                           &(item->cached_field_index),
-                                           register_tree_change,
-                                           &actual_table);
-        if (cur_field)
-        {
-          Field *nf=new Field_null(NULL,0,Field::NONE,
-                                   cur_field->field_name,
-                                   &my_charset_bin);
-          nf->init(cur_table->table);
-          cur_field= nf;
-        }
-      }
-
       /*
         Store the original table of the field, which may be different from
         cur_table in the case of NATURAL/USING join.
@@ -3980,6 +3893,7 @@
       session->lex->current_select->cur_pos_in_select_list++;
   }
   session->lex->current_select->cur_pos_in_select_list= UNDEF_POS;
+
   return 0;
 }
 
@@ -4190,46 +4104,6 @@
 
 
 /*
-  Create a key_map from a list of index names
-
-  SYNOPSIS
-  get_key_map_from_key_list()
-  map		key_map to fill in
-  table		Table
-  index_list		List of index names
-
-  RETURN
-  0	ok;  In this case *map will includes the choosed index
-  1	error
-*/
-
-bool get_key_map_from_key_list(key_map *map, Table *table,
-                               List<String> *index_list)
-{
-  List_iterator_fast<String> it(*index_list);
-  String *name;
-  uint32_t pos;
-
-  map->reset();
-  while ((name=it++))
-  {
-    if (table->s->keynames.type_names == 0 ||
-        (pos= find_type(&table->s->keynames, name->ptr(),
-                        name->length(), 1)) <=
-        0)
-    {
-      my_error(ER_KEY_DOES_NOT_EXITS, MYF(0), name->c_ptr(),
-               table->pos_in_table_list->alias);
-      map->set();
-      return 1;
-    }
-    map->set(pos-1);
-  }
-  return 0;
-}
-
-
-/*
   Drops in all fields instead of current '*' field
 
   SYNOPSIS
@@ -4885,10 +4759,6 @@
 }
 
 
-bool is_equal(const LEX_STRING *a, const LEX_STRING *b)
-{
-  return a->length == b->length && !strncmp(a->str, b->str, a->length);
-}
 /**
   @} (end of group Data_Dictionary)
 */

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2009-08-05 08:02:52 +0000
+++ drizzled/sql_base.h	2009-08-10 23:36:55 +0000
@@ -94,8 +94,6 @@
 Item ** find_item_in_list(Item *item, List<Item> &items, uint32_t *counter,
                           find_item_error_report_type report_error,
                           enum_resolution_type *resolution);
-bool get_key_map_from_key_list(key_map *map, Table *table,
-                               List<String> *index_list);
 bool insert_fields(Session *session, Name_resolution_context *context,
                    const char *db_name, const char *table_name,
                    List_iterator<Item> *it, bool any_privileges);
@@ -134,7 +132,6 @@
 TableList *unique_table(Session *session, TableList *table, TableList *table_list,
                          bool check_alias);
 void remove_db_from_cache(const char *db);
-bool is_equal(const LEX_STRING *a, const LEX_STRING *b);
 
 /* bits for last argument to remove_table_from_cache() */
 #define RTFC_NO_FLAG                0x0000

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2009-08-08 00:57:50 +0000
+++ drizzled/sql_select.cc	2009-08-10 23:36:55 +0000
@@ -6336,8 +6336,7 @@
         order_item_type == Item::REF_ITEM)
     {
       from_field= find_field_in_tables(session, (Item_ident*) order_item, tables,
-                                       NULL, &view_ref, IGNORE_ERRORS, true,
-                                       false);
+                                       NULL, &view_ref, IGNORE_ERRORS, false);
       if (!from_field)
         from_field= (Field*) not_found_field;
     }

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-08-05 22:00:06 +0000
+++ drizzled/sql_table.cc	2009-08-10 23:36:55 +0000
@@ -2116,7 +2116,7 @@
 
   table->file->extra(function);
   /* Mark all tables that are in use as 'old' */
-  mysql_lock_abort(session, table, true);	/* end threads waiting on lock */
+  mysql_lock_abort(session, table);	/* end threads waiting on lock */
 
   /* Wait until all there are no other threads that has this table open */
   remove_table_from_cache(session, table->s->db.str,
@@ -2299,7 +2299,7 @@
       pthread_mutex_lock(&LOCK_open); /* Lock type is TL_WRITE and we lock to repair the table */
       const char *old_message=session->enter_cond(&COND_refresh, &LOCK_open,
 					      "Waiting to get writelock");
-      mysql_lock_abort(session,table->table, true);
+      mysql_lock_abort(session,table->table);
       remove_table_from_cache(session, table->table->s->db.str,
                               table->table->s->table_name.str,
                               RTFC_WAIT_OTHER_THREAD_FLAG |

